#!/usr/bin/perl
use strict;
use Lobby;
use Guest;
use Option;
use Log;

######################################
#
# Program: Edge chatting ver 0.91
# Programmer: Lee Jin Hee
# Homepage: www.jinyege.pe.kr
# E-Mail: jinyedge@hitel.net
#
######################################

#--------------------
#main

my $opt = new Option();

print "--------------------------------------\n";

print "Server informations.\n";
printf "Name: %s\n", $opt->server_name;
printf "Language: %s\n", $opt->lang;
printf "Address: %s\n", $opt->addr ? $opt->addr: "All available addresses";
printf "Port: %s\n", $opt->port;
printf "Room limit: %s\n", $opt->r_limit;
printf "Guest limit: %s\n", $opt->g_limit;
printf "Tap: %s\n", $opt->tap ? "true": "false";
printf "Log: %s\n", $opt->log ? "true": "false";

print "--------------------------------------\n";

my $log = undef;
if($opt->log){
	$log = new Log();
	$log->start;
}

my $lob = new Lobby();
$lob->open();
$lob->work();
$lob->close();
