package Guest;
use strict;

#--------------------
sub new{
	my($proto, %args) = @_;
	my $class = ref($proto) || $proto;
	my $this  = {};
	$this->{fh} = undef;
	$this->{no} = undef;
	$this->{name} = undef;
	$this->{cmd} = undef;
	$this->{args} = [];
	$this->{step} = undef;
	$this->{room} = undef;
	bless($this, $class);

	foreach(keys %args){
		$this->{$_} = $args{$_};
	}
	$this->name and $this->name($this->name);
	$this->{step} = 0;
	$this->{args} = ();

	return $this;
}

#--------------------
sub fh{
	my $this = shift;
	if(@_){$this->{fh} = shift;}
	return $this->{fh};
}

#--------------------
sub no{
	my $this = shift;
	if(@_){$this->{no} = shift;}
	return $this->{no};
}

#--------------------
sub name{
	my $this = shift;
	if(@_){
		$this->{name} = shift;
		$this->{name} =~ s/\s+//;
	}
	return $this->{name};
}

#--------------------
sub cmd{
	my $this = shift;
	if(@_){$this->{cmd} = shift;}
	return $this->{cmd};
}

#--------------------
sub step{
	my $this = shift;
	if(@_){$this->{step} = shift;}
	return $this->{step};
}

#--------------------
sub room{
	my $this = shift;
	if(@_){$this->{room} = shift;}
	return $this->{room};
}

#--------------------
sub print_info{
	return;
	my $this = shift;
	print "\n-------------------\n";
	printf "Guest info of %s\n", $this->{name};
	printf "No = %s\n", $this->{no};
	printf "Name = %s\n", $this->{name};
	printf "CMD = %s\n", $this->{cmd};
	printf "Step = %s\n", $this->{step};

	$this->{room} and printf "Room no = %s\n", $this->{room}->no;
}

#--------------------
sub add_arg{
	my $this = shift;
	my($key, $val) = @_;

	${$this->{args}}{$key} = $val;
}

#--------------------
sub args{
	my $this = shift;
	if(@_){%{$this->{args}} = %_}
	return %{$this->{args}};
}

#--------------------
sub delete_cmd{
	my $this = shift;

	printf "%s's cmd has been deleted.\n", $this->{name};
	$this->{cmd} = "";
	$this->{step} = 0;

	while(my($key, $val) = each %{$this->{args}}){
		delete ${$this->{args}}{$key};
	}
	
	$this->print_info();
}

#--------------------
1;
