package Option;
use strict;

##########################################
##########################################

my $server_name = "Jinyedge's chatting server";
my $lang = "ko";		#en = english, ko = korean
my $addr = "";		#default = all addresses
my $port = 8040;
my $r_limit = 100;		#limit of room
my $g_limit = 1000;		#limit of connection
my $tap = 1;		#if you want to know what they are talking set this flag as 1.
my $log = 1;		#write log file = 1, don't write log file = 0

##########################################
##########################################

#--------------------
sub new{
	my($proto, %args) = @_;
	my $class = ref($proto) || $proto;
	my $this  = {};
	$this->{lang} = undef;
	bless($this, $class);

	return $this;
}

#--------------------
sub server_name{
	return $server_name;
}

#--------------------
sub lang{
	return $lang;
}

#--------------------
sub addr{
	return $addr;
}

#--------------------
sub port{
	return $port;
}

#--------------------
sub r_limit{
	return $r_limit;
}

#--------------------
sub g_limit{
	return $g_limit;
}

#--------------------
sub tap{
	return $tap;
}

#--------------------
sub log{
	return $log;
}

#--------------------
1;
