import java.net.*;
import java.io.*;
class Talker{
	private Socket s = null;
	private ByteOutputStream out = null;
	private Client client = null;

	//-----------------------
	public Talker(Socket _s, Client _client){
		client = _client;
		s = _s;

		try{
			out = new ByteOutputStream(new DataOutputStream(s.getOutputStream()));
		}
		catch(Exception e){
			client.println(e.toString());
			client.disconn();
		}
	}

	//-----------------------
	public void talk(String line){
		try{
			out.write_line(line);
		}
		catch(Exception e){
			client.println(e.toString());
			client.disconn();
		}
	}

	//-----------------------
	public void close(){
		try{
			if(out != null){out.close();}
		}
		catch(Exception ex){client.println(ex.toString());}
	}
}
