VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form frmMain 
   BorderStyle     =   1  ' 
   Caption         =   "Edge chatting"
   ClientHeight    =   6525
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   9675
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6525
   ScaleMode       =   0  '
   ScaleWidth      =   9675
   StartUpPosition =   3  'Windows ⺻
   Begin VB.Timer Timer 
      Enabled         =   0   'False
      Interval        =   50
      Left            =   4800
      Top             =   2400
   End
   Begin VB.Frame Frame1 
      Height          =   6420
      Left            =   7870
      TabIndex        =   2
      Top             =   0
      Width           =   1695
      Begin VB.CommandButton btnExit 
         Caption         =   ""
         Height          =   350
         Left            =   120
         TabIndex        =   7
         Top             =   1680
         Width           =   1455
      End
      Begin VB.CommandButton btnDisconn 
         Caption         =   ""
         Enabled         =   0   'False
         Height          =   350
         Left            =   120
         TabIndex        =   6
         Top             =   1320
         Width           =   1455
      End
      Begin VB.CommandButton btnConn 
         Caption         =   ""
         Height          =   350
         Left            =   120
         TabIndex        =   5
         Top             =   960
         Width           =   1455
      End
      Begin VB.TextBox txtPort 
         Height          =   300
         Left            =   120
         TabIndex        =   4
         Text            =   "8040"
         Top             =   600
         Width           =   1455
      End
      Begin VB.TextBox txtIP 
         Height          =   300
         Left            =   120
         TabIndex        =   3
         Text            =   "127.0.0.1"
         Top             =   240
         Width           =   1455
      End
   End
   Begin MSWinsockLib.Winsock Sock 
      Left            =   2880
      Top             =   2160
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.TextBox txtInput 
      Enabled         =   0   'False
      Height          =   300
      Left            =   120
      MaxLength       =   100
      TabIndex        =   1
      Top             =   6120
      Width           =   7455
   End
   Begin VB.TextBox txtDisplay 
      Enabled         =   0   'False
      BeginProperty Font 
         Name            =   "ü"
         Size            =   9
         Charset         =   129
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   5955
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  '
      TabIndex        =   0
      Top             =   120
      Width           =   7575
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub init_disconn_stat()
    txtInput.Enabled = False
    txtDisplay.Enabled = False
    
    txtIP.Enabled = True
    txtPort.Enabled = True
    
    btnConn.Enabled = True
    btnDisconn.Enabled = False

'    txtDisplay.Text = ""
    txtIP.SetFocus

    Timer.Enabled = False
End Sub

Private Sub init_conn_stat()
    txtIP.Enabled = False
    txtPort.Enabled = False
    
    btnConn.Enabled = False
    btnDisconn.Enabled = True

    txtInput.Enabled = True
    txtDisplay.Enabled = True
    txtDisplay.Text = ""
    txtInput.SetFocus
    
    Timer.Enabled = True
End Sub

Private Sub btnConn_Click()
    Sock.RemoteHost = txtIP.Text
    Sock.RemotePort = CInt(txtPort.Text)
    Sock.Connect
End Sub

Private Sub btnDisconn_Click()
    Sock.Close
    init_disconn_stat
End Sub

Private Sub btnExit_Click()
    End
End Sub

Private Sub Timer_Timer()
    If Sock.State <> sckConnected Then
        Sock.Close
        init_disconn_stat
    End If
End Sub

Private Sub txtDisplay_GotFocus()
    If txtInput.Enabled = True Then
        txtInput.SetFocus
    End If
End Sub

Private Sub txtInput_KeyPress(KeyAscii As Integer)
    If KeyAscii = vbKeyReturn Then
        KeyAscii = 0
    End If
End Sub

Private Sub txtInput_KeyDown(KeyCode As Integer, Shift As Integer)
    Dim line As String
    If KeyCode = vbKeyReturn Then
        line = txtInput.Text
        txtInput.Text = ""
        
        'clear screen
        If Trim(UCase(line)) = "/CLS" Then
            txtDisplay.Text = ""
            Exit Sub
        End If
        
        Sock.SendData line
    End If
End Sub

Private Sub Sock_Connect()
    init_conn_stat
End Sub

Private Sub Sock_DataArrival(ByVal bytesTotal As Long)
    Dim line As String
    Sock.GetData line
    
    'socket close
    If Trim(UCase(line)) = "/X" Then
        Sock.Close
        init_disconn_stat
      Exit Sub
    End If
    
    print_line line
End Sub

Private Sub print_line(line As String)
    line = Replace(line, vbCrLf, vbLf)
    line = Replace(line, vbLf, vbNewLine)
    txtDisplay.Text = txtDisplay.Text & line
    txtDisplay.SelStart = Len(txtDisplay.Text)
End Sub

Private Sub Sock_Error(ByVal Number As Integer, Description As String, ByVal Scode As Long, ByVal Source As String, ByVal HelpFile As String, ByVal HelpContext As Long, CancelDisplay As Boolean)
    Sock.Close
    init_disconn_stat
    print_line "###     ߻߽ϴ. ###"
    print_line "- " & Description
End Sub

